= form_for @role, html:{class: "ui fluid form"} do |f|
  - if @role.errors.any?
    #error_explanation
      %h2= "#{pluralize(@role.errors.count, "error")} prohibited this permission from being saved:"
      %ul
        - @role.errors.full_messages.each do |message|
          %li= message

  .ui.padded.grid.stackable
    - activities = Authorization::Activity.all
    - activities.each do |activity|
      .four.wide.column
        .ui.inverted.red.segment
          %h4.ui.header= "#{activity}"
          .ui.list
            - activity.actions_list.each do |action|
              .ui.checkbox.item
                = check_box_tag "role[action_ids][]", action[:id], @role.action_ids.include?(action[:id].to_i)
                %label= "#{action[:name]}"
  .actions
    %br/
    = f.submit class:"ui submit button"